Package org.eclipse.unittest.model

## Enum ITestElement.Result

- java.lang.Object
- - java.lang.Enum<ITestElement.Result>
  - - org.eclipse.unittest.model.ITestElement.Result

All Implemented Interfaces:
  `Serializable`, `Comparable<ITestElement.Result>`

Enclosing interface:
  ITestElement

    public static enum ITestElement.Result
    extends Enum<ITestElement.Result>

Result states of a test.

### Enum Constant Summary

Enum Constants
`ERROR`
`FAILURE`
`IGNORED`
`OK`
`UNDEFINED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static ITestElement.Result` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ITestElement.Result[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNDEFINED

    public static final ITestElement.Result UNDEFINED

#### OK

    public static final ITestElement.Result OK

#### ERROR

    public static final ITestElement.Result ERROR

#### FAILURE

    public static final ITestElement.Result FAILURE

#### IGNORED

    public static final ITestElement.Result IGNORED

### Method Detail

#### values

    public static ITestElement.Result[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ITestElement.Result c : ITestElement.Result.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ITestElement.Result valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ITestElement.Result>`